summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPete Batard <pbatard@gmail.com>2010-04-01 11:35:40 +0100
committerPete Batard <pbatard@gmail.com>2010-04-01 11:35:40 +0100
commite58e19dec2eac8cefd795f545c19e9f61cfe3fff (patch)
tree6e06a1ce71f27b1dbc0e0ef7a109aff5d9727469
parentbaa9dc7601ba90a5068897a56f33958176089636 (diff)
downloadlibusb-e58e19dec2eac8cefd795f545c19e9f61cfe3fff.tar.gz
[INTERNAL - NOT FOR RELEASE] removed debug logging for bm
-rw-r--r--bm.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/bm.sh b/bm.sh
index 99aa16f..3c23834 100644
--- a/bm.sh
+++ b/bm.sh
@@ -4,7 +4,13 @@ git clean -f -d -x
# Not using debug (-g) in CFLAGS DRAMATICALLY reduces the size of the binaries
export CFLAGS="-O2"
echo `pwd`
-./autogen.sh
+(glibtoolize --version) < /dev/null > /dev/null 2>&1 && LIBTOOLIZE=glibtoolize || LIBTOOLIZE=libtoolize
+$LIBTOOLIZE --copy --force || exit 1
+aclocal || exit 1
+autoheader || exit 1
+autoconf || exit 1
+automake -a -c || exit 1
+./configure --enable-examples-build $*
make
cp examples/.libs/lsusb.exe e:/dailies/$date/MinGW32/examples
cp examples/.libs/xusb.exe e:/dailies/$date/MinGW32/examples